import {supportedLanguages} from '../vocabularies/defaultVocabularies'

export default {
  name: 'LocaleString',
  type: 'object',
  title: 'Locale string',
  fieldsets: [
    {
      title: 'Translations',
      name: 'translations',
      options: {collapsible: true},
    },
  ],
  fields: supportedLanguages.map((lang) => ({
    title: lang.title,
    name: lang.id,
    type: 'string',
    fieldset: lang.isDefault ? null : 'translations',
  })),
}
